#include "GLAppParallelSort.h"

#include <iostream>
using namespace std;

#include <flowvr/module.h>
using namespace flowvr;

int main(int argc, char* argv[]) {

  std::cout<<"test\n";
  GLAppParallelSort app("Parallel Sort", 500,500);
  app.run();

#if 0
  vector<Port*> ports;
  ModuleAPI* module;

  //taille du tableau a trier
  int tabsize=10;
  int* tab;
  const int* globaltab;

  InputPort* inport = new InputPort("inputtab");
  ports.push_back(inport);


  OutputPort* outport = new OutputPort("outputtab");
  ports.push_back(outport);

  module = flowvr::initModule(ports);

  if(module) {

    Message messagein;

    MessageWrite messageout;

    messageout.data=module->alloc(tabsize*sizeof(int));
    tab = messageout.data.getWrite<int>(0);

    for(int i=0 ; i<tabsize ; i++) {
      tab[i]=i;
    }

    //Tu dois faire un put avant de faire le wait sinon les 2 modules vont s'attendre, c'est donc normalement la visu qui commence.
    module->put(outport, messageout);

    std::cout<<"test\n";
    //GLAppParallelSort app("Parallel Sort", 500,500);
    //app.run();

    //cette boucle tu peux la mettre dans glutIdle sans le while ca devrait marcher...
    while(module->wait()) {

      //Rcupration du tableau local
      module->get(inport, messagein);

      sleep(1);

      //Tu recuperes un pointeur constant sur le tableau recu
      globaltab = messagein.data.getRead<int>(0);
      
      //ensuite tu peux modifier ton tableau et le reemmetre si tu deranges le calcul

      //Envoi du tableau global
      module->put(outport, messageout);

    }

    module->close();

  }
  else {
    cerr << "Erreur d'initialisation" << endl;
  }

#endif

  return 0;

}
